Debian Bug report logs - #563946
maven2: dependency downloads fail

version graph

Package: maven2; Maintainer for maven2 is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for maven2 is src:maven2.

Reported by: Ed Schaller <schallee@darkmist.net>

Date: Wed, 6 Jan 2010 14:33:01 UTC

Severity: important

Fixed in version openjdk-6/6b18~pre1-3

Done: Torsten Werner <twerner@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#563946; Package maven2. (Wed, 06 Jan 2010 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ed Schaller <schallee@darkmist.net>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 06 Jan 2010 14:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ed Schaller <schallee@darkmist.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: maven2: dependency downloads fail
Date: Wed, 06 Jan 2010 08:23:12 -0600
Package: maven2
Version: 2.2.1-2
Severity: important


Maven fails to download dependencies with errors like:

Downloading: http://repo1.maven.org/maven2/org/apache/maven/plugins/maven-site-plugin/2.0/maven-site-plugin-2.0.pom
[WARNING] Unable to get resource 'org.apache.maven.plugins:maven-site-plugin:pom:2.0' from repository central (http://repo1.maven.org/maven2): Error transferring file: Network is unreachable
Downloading: http://repo1.maven.org/maven2/org/apache/maven/plugins/maven-site-plugin/2.0/maven-site-plugin-2.0.pom
[WARNING] Unable to get resource 'org.apache.maven.plugins:maven-site-plugin:pom:2.0' from repository central (http://repo1.maven.org/maven2): Error transferring file: Network is unreachable

This happens systems with a functioning network connection where the failed urls can be successfully downloaded through another method (eg: wget, iceweasel).

Some investigation revealed that for some reason these downloads are only trying IPv6 on hosts which only have IPv4 configured. This makes the "Network is unreachable" sort of make sense.

This can be worked around by running maven with the argument -Djava.net.preferIPv4Stack=true.

Though the work around would suggest this is a jre issue I have not had such issues with other java programs.

Also, though this bug report is against squeeze, this also occurs in sid but does not occur in lenny.

As a help, the system information below includes multiple jres as I frequently need to test on multiple versions. The java alternative on my system is set to use sun's java6:

java -version
java version "1.6.0_16"
Java(TM) SE Runtime Environment (build 1.6.0_16-b01)
Java HotSpot(TM) 64-Bit Server VM (build 14.2-b01, mixed mode)


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages maven2 depends on:
ii  gij-4.3 [java2-runtime-head 4.3.4-4      The GNU Java bytecode interpreter
ii  ibm-j2sdk1.4 [java2-runtime 1.4.2        Java(TM) JDK, Standard Edition, IB
ii  ibm-j2sdk1.6 [java2-runtime 1.6.0        Java(TM) JDK, Standard Edition, IB
ii  libmaven2-core-java         2.2.1-1      Core libraries for Maven2
ii  openjdk-6-jre [java2-runtim 6b16-1.6.1-2 OpenJDK Java runtime, using Hotspo
ii  openjdk-6-jre-headless [jav 6b16-1.6.1-2 OpenJDK Java runtime, using Hotspo
ii  sun-java5-jre [java2-runtim 1.5.0-17-0.1 Sun Java(TM) Runtime Environment (
ii  sun-java6-jre [java2-runtim 6-16-1       Sun Java(TM) Runtime Environment (

Versions of packages maven2 recommends:
ii  libmaven-clean-plugin-java    2.3-3      Maven clean plugin
ii  libmaven-compiler-plugin-java 2.0.2-4    Maven compiler plugin
ii  libmaven-install-plugin-java  2.3-2      Maven install plugin
ii  libmaven-jar-plugin-java      2.2-4      Maven Jar plugin
ii  libmaven-resources-plugin-jav 2.3-5      Maven resources plugin
ii  libmaven-shade-plugin-java    1.2.1-2    Maven shade plugin

maven2 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#563946; Package maven2. (Wed, 06 Jan 2010 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@drazzib.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 06 Jan 2010 20:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 563946@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@drazzib.com>
To: Ed Schaller <schallee@darkmist.net>, 563946@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#563946: maven2: dependency downloads fail
Date: Wed, 6 Jan 2010 21:20:26 +0100
[Message part 1 (text/plain, inline)]
# block maven2 bugreport with ipv6 issue on OpenJDK
block 563946 by 560056
thanks

Hi Ed,

AFAIK, it's a OpenJDK runtime bug.
You can look at #560056 for a quick fix.

Cheers,

Le mercredi 06 janvier 2010 15:23:12, Ed Schaller a écrit :
> Maven fails to download dependencies with errors like:
> 
> Downloading:
>  http://repo1.maven.org/maven2/org/apache/maven/plugins/maven-site-plugin/2
> .0/maven-site-plugin-2.0.pom [WARNING] Unable to get resource
>  'org.apache.maven.plugins:maven-site-plugin:pom:2.0' from repository
>  central (http://repo1.maven.org/maven2): Error transferring file: Network
>  is unreachable Downloading:
>  http://repo1.maven.org/maven2/org/apache/maven/plugins/maven-site-plugin/2
> .0/maven-site-plugin-2.0.pom [WARNING] Unable to get resource
>  'org.apache.maven.plugins:maven-site-plugin:pom:2.0' from repository
>  central (http://repo1.maven.org/maven2): Error transferring file: Network
>  is unreachable
> 
> This happens systems with a functioning network connection where the failed
>  urls can be successfully downloaded through another method (eg: wget,
>  iceweasel).
> 
> Some investigation revealed that for some reason these downloads are only
>  trying IPv6 on hosts which only have IPv4 configured. This makes the
>  "Network is unreachable" sort of make sense.
> 
> This can be worked around by running maven with the argument
>  -Djava.net.preferIPv4Stack=true.

-- 
Damien Raude-Morvan - http://damien.raude-morvan.com/
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 563946: 560056 and 560142 Request was from "Damien Raude-Morvan" <drazzib@drazzib.com> to control@bugs.debian.org. (Wed, 06 Jan 2010 20:39:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#563946; Package maven2. (Fri, 08 Jan 2010 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ed Schaller <schallee@darkmist.net>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 08 Jan 2010 14:21:05 GMT) Full text and rfc822 format available.

Message #17 received at 563946@bugs.debian.org (full text, mbox):

From: Ed Schaller <schallee@darkmist.net>
To: Damien Raude-Morvan <drazzib@drazzib.com>
Cc: Ed Schaller <schallee@darkmist.net>, 563946@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#563946: maven2: dependency downloads fail
Date: Fri, 8 Jan 2010 08:11:23 -0600
[Message part 1 (text/plain, inline)]
> AFAIK, it's a OpenJDK runtime bug.
> You can look at #560056 for a quick fix.

Yup. Just started having issues with tomcat too. Sorry for the dup.

>>>------>
[signature.asc (application/pgp-signature, inline)]

Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. (Wed, 03 Mar 2010 06:57:18 GMT) Full text and rfc822 format available.

Notification sent to Ed Schaller <schallee@darkmist.net>:
Bug acknowledged by developer. (Wed, 03 Mar 2010 06:57:18 GMT) Full text and rfc822 format available.

Message #22 received at 563946-close@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: 563946-close@bugs.debian.org
Subject: Bug#563946: fixed in openjdk-6 6b18~pre1-3
Date: Wed, 03 Mar 2010 06:53:03 +0000
Source: openjdk-6
Source-Version: 6b18~pre1-3

We believe that the bug you reported is fixed in the latest version of
openjdk-6, which is due to be installed in the Debian FTP archive:

icedtea-6-jre-cacao_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/icedtea-6-jre-cacao_6b18~pre1-3_amd64.deb
icedtea6-plugin_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/icedtea6-plugin_6b18~pre1-3_amd64.deb
openjdk-6-dbg_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/openjdk-6-dbg_6b18~pre1-3_amd64.deb
openjdk-6-demo_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/openjdk-6-demo_6b18~pre1-3_amd64.deb
openjdk-6-doc_6b18~pre1-3_all.deb
  to main/o/openjdk-6/openjdk-6-doc_6b18~pre1-3_all.deb
openjdk-6-jdk_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/openjdk-6-jdk_6b18~pre1-3_amd64.deb
openjdk-6-jre-headless_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/openjdk-6-jre-headless_6b18~pre1-3_amd64.deb
openjdk-6-jre-lib_6b18~pre1-3_all.deb
  to main/o/openjdk-6/openjdk-6-jre-lib_6b18~pre1-3_all.deb
openjdk-6-jre-zero_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/openjdk-6-jre-zero_6b18~pre1-3_amd64.deb
openjdk-6-jre_6b18~pre1-3_amd64.deb
  to main/o/openjdk-6/openjdk-6-jre_6b18~pre1-3_amd64.deb
openjdk-6-source_6b18~pre1-3_all.deb
  to main/o/openjdk-6/openjdk-6-source_6b18~pre1-3_all.deb
openjdk-6_6b18~pre1-3.diff.gz
  to main/o/openjdk-6/openjdk-6_6b18~pre1-3.diff.gz
openjdk-6_6b18~pre1-3.dsc
  to main/o/openjdk-6/openjdk-6_6b18~pre1-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 563946@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Werner <twerner@debian.org> (supplier of updated openjdk-6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Mar 2010 23:46:57 +0100
Source: openjdk-6
Binary: openjdk-6-jdk openjdk-6-jre-headless openjdk-6-jre openjdk-6-jre-lib openjdk-6-demo openjdk-6-source openjdk-6-doc openjdk-6-dbg icedtea6-plugin icedtea-6-jre-cacao openjdk-6-jre-zero
Architecture: source amd64 all
Version: 6b18~pre1-3
Distribution: unstable
Urgency: low
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Changed-By: Torsten Werner <twerner@debian.org>
Description: 
 icedtea-6-jre-cacao - Alternative JVM for OpenJDK, using Cacao
 icedtea6-plugin - web browser plugin based on OpenJDK and IcedTea to execute Java a
 openjdk-6-dbg - Java runtime based on OpenJDK (debugging symbols)
 openjdk-6-demo - Java runtime based on OpenJDK (demos and examples)
 openjdk-6-doc - OpenJDK Development Kit (JDK) documentation
 openjdk-6-jdk - OpenJDK Development Kit (JDK)
 openjdk-6-jre - OpenJDK Java runtime, using ${vm:Name}
 openjdk-6-jre-headless - OpenJDK Java runtime, using ${vm:Name} (headless)
 openjdk-6-jre-lib - OpenJDK Java runtime (architecture independent libraries)
 openjdk-6-jre-zero - Alternative JVM for OpenJDK, using Zero/Shark
 openjdk-6-source - OpenJDK Development Kit (JDK) source files
Closes: 560056 561930 563699 563946
Changes: 
 openjdk-6 (6b18~pre1-3) unstable; urgency=low
 .
   * Add a patch for improved handling of IPv4 mapped IPv6 addresses.
     (Closes: #560056, #561930, #563699, #563946)
Checksums-Sha1: 
 11da779b63ef34efef197f37282d687dc6063df4 2343 openjdk-6_6b18~pre1-3.dsc
 d1b9ab15bcc218763ed1ea7898c2b886e3e6a9e2 117583 openjdk-6_6b18~pre1-3.diff.gz
 80726d3d7ca6db29a86632383b0438e7eff90d0f 11380904 openjdk-6-jdk_6b18~pre1-3_amd64.deb
 7bccaf8b0b98873cb3d1949bda66722119ca8d86 25141604 openjdk-6-jre-headless_6b18~pre1-3_amd64.deb
 e9ea4731f8222e91a8dcf4ab22c79d7285daaa02 267764 openjdk-6-jre_6b18~pre1-3_amd64.deb
 f4308b635751fb9104abfa5e0cc2cb6021a3d621 2385402 openjdk-6-demo_6b18~pre1-3_amd64.deb
 b1b4ab5da45f3bd71dd397dc0297c29b9c53bf2a 56161938 openjdk-6-dbg_6b18~pre1-3_amd64.deb
 5f45985401a4b22e1df91a9a0d653b966a89a9ab 83296 icedtea6-plugin_6b18~pre1-3_amd64.deb
 505c5f5b7151767d3e37ef021c46f2495037e52b 24804 icedtea-6-jre-cacao_6b18~pre1-3_amd64.deb
 e66a90f716adaf2f24fdc5dd09dd067583ac8eed 1212 openjdk-6-jre-zero_6b18~pre1-3_amd64.deb
 0b502349e37fc03c7a4ddb7b2c762ed6d46422b6 8390654 openjdk-6-jre-lib_6b18~pre1-3_all.deb
 040c48469d177f4ddf5752562cdf10a7548d6418 27034318 openjdk-6-source_6b18~pre1-3_all.deb
 c4bd3f744e04bdb721d1def8157a6bc23c375510 11930382 openjdk-6-doc_6b18~pre1-3_all.deb
Checksums-Sha256: 
 583cfed522f04255bd16602027f7e8b06d3fa94a3b85203a3b473ab660a2c22e 2343 openjdk-6_6b18~pre1-3.dsc
 eb73e6e41d9b11ce59ba3fc153f1d26852222f9d93a4a23353d171812ba68a58 117583 openjdk-6_6b18~pre1-3.diff.gz
 1c5cab5835f3da266109ec88ae812d66a0876c6ce40cc82a2c4970bfa84511fa 11380904 openjdk-6-jdk_6b18~pre1-3_amd64.deb
 28aedad6d1140674ad8c57f42b82bdd1e9b70cbe8393a605488f0c2f78ee3157 25141604 openjdk-6-jre-headless_6b18~pre1-3_amd64.deb
 b4c468d0f0bed4e6e0cdf9ef03bee59b74e1396b4d9d6f2ccf5633163fa1fff1 267764 openjdk-6-jre_6b18~pre1-3_amd64.deb
 ca2f5fee0346ea03c100d018f0d80112d125f6f87bf412898a928b2bd8b33087 2385402 openjdk-6-demo_6b18~pre1-3_amd64.deb
 10651e82805ce49c4a5c26df31faa2c35c386960e7d5c9cb34165a470ab0d739 56161938 openjdk-6-dbg_6b18~pre1-3_amd64.deb
 62ea398d56d8dc0f033e02262d4c4a69d68cadc548af2154fe2bfdddad4cf02e 83296 icedtea6-plugin_6b18~pre1-3_amd64.deb
 c2f60847c4412091fb9dc063eeee1d4e8aa0b6ce8416f5e62e168c97ee4c4a6f 24804 icedtea-6-jre-cacao_6b18~pre1-3_amd64.deb
 61f2f6b65541272baf4026ce4d09510223d624f963ab1b4bc4c1a244d5ea7d00 1212 openjdk-6-jre-zero_6b18~pre1-3_amd64.deb
 cca034e47c0e5c7ef6c24fd5e9e929ecb0ef94f544214d87e63522e22413146e 8390654 openjdk-6-jre-lib_6b18~pre1-3_all.deb
 3e61bef8f1377719ae7a81c29e5f8a3e2e27589a10d53ad820e64bc0bb9bbf40 27034318 openjdk-6-source_6b18~pre1-3_all.deb
 44ed39d3bf2a6b1199fe67b42beac129d1987f401d4240f95c4eff77f63312ad 11930382 openjdk-6-doc_6b18~pre1-3_all.deb
Files: 
 a010a48c6bc125ebbd38f74ee4f8523d 2343 java optional openjdk-6_6b18~pre1-3.dsc
 c07764ae4b3068fa947b480fad6edb78 117583 java optional openjdk-6_6b18~pre1-3.diff.gz
 22a8a0f124b06244fbaf2e0bd4334c40 11380904 java optional openjdk-6-jdk_6b18~pre1-3_amd64.deb
 1e7f5b921194fe3eec179edd069a7b82 25141604 java optional openjdk-6-jre-headless_6b18~pre1-3_amd64.deb
 9f856725715d88c164db224f3b945a1a 267764 java optional openjdk-6-jre_6b18~pre1-3_amd64.deb
 2daf6fa43d3e08c2bbb04363c0006a86 2385402 java extra openjdk-6-demo_6b18~pre1-3_amd64.deb
 017b7bf3d073fd40503dde2a88da6c4d 56161938 debug extra openjdk-6-dbg_6b18~pre1-3_amd64.deb
 d978a309a8394ab61b0fe0ce3e88a4de 83296 web optional icedtea6-plugin_6b18~pre1-3_amd64.deb
 0909652d2f010d86883a78256b94399b 24804 java extra icedtea-6-jre-cacao_6b18~pre1-3_amd64.deb
 d6debcb6e3d9e0b83108063178d0bc51 1212 java extra openjdk-6-jre-zero_6b18~pre1-3_amd64.deb
 1eb43576410f53a72b632e2ad5f551e6 8390654 java optional openjdk-6-jre-lib_6b18~pre1-3_all.deb
 7fe7eb334f0831d19a75acd4df89670b 27034318 java extra openjdk-6-source_6b18~pre1-3_all.deb
 acbf5d2c29d26bdb8992943ed535b40a 11930382 doc optional openjdk-6-doc_6b18~pre1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuN+xUACgkQfY3dicTPjsOmjwCfWt5zZFb9zqSIRWuYAtJolOdV
NTcAnijNxIP4DgJi+VG/eOhKDdEu2Dma
=E0sk
-----END PGP SIGNATURE-----





No longer marked as found in versions maven2/2.2.1-2. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Tue, 05 Nov 2013 00:06:45 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Dec 2013 07:38:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:30:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.